Search results
Suggest a FeaturePDF

How to open a server report using a report path at the time of opening the Report Designer

Please follow the steps mentioned in the documentation below on how to embed Report Designer with Report Server.

Embed Bold Reports® Report Server Designer

Use the openReport method in the index.html file, as shown in the code snippet below, to open a report from the report server.

<div style="height: 720px; width: 1500px; min-height: 400px;" id="designer"></div>
<script>
    $(function () {
           $("#designer").boldReportDesigner(
                                {
                                    serviceUrl: "https://service.boldreports.com/api/Designer",
                                    reportServerUrl:"https://acmecorp.boldreports.com/reporting/api/"
                                    serviceAuthorizationToken: "bearer <server token>"
                                });
                                var designerObj = $('#designer').data('boldReportDesigner');
                                designerObj.openReport('/Sample Reports/Sales Report');
    });
</script>
Having trouble getting help?
Contact Support
Having trouble getting help?
Contact Support

Search results
Suggest a FeaturePDF

How to open a server report using a report path at the time of opening the Report Designer

Please follow the steps mentioned in the documentation below on how to embed Report Designer with Report Server.

Embed Bold Reports® Report Server Designer

Use the openReport method in the App.js file, as shown in the code snippet below, to open a report using the report path from the report server.

...

 function App() {
      return (<div id="Designer" style={designerStyle}>
      <BoldReportDesignerComponent id="reportdesigner_container"
      serviceUrl = {'https://service.boldreports.com/api/Designer'}
      reportServerUrl = {'https://acmecorp.boldreports.com/reporting/api/'}
      serviceAuthorizationToken = {'bearer <server token>'}
      create={controlInitialized}>
      </BoldReportDesignerComponent>
      </div>);
    }

function controlInitialized(){
        var designerObj = $('#reportdesigner_container').data('boldReportDesigner')
        designerObj.openReport('/Sample Reports/Sales Report');
  }
Having trouble getting help?
Contact Support
Having trouble getting help?
Contact Support